<div class="limiter">
  <div class="container-login100 h-100">
    <div class="wrap-login100" style="overflow: auto !important; height: inherit;">
      <div class="loading-shade" *ngIf="isLoading" style="z-index: 99;">
        <mat-spinner></mat-spinner>
      </div>

      <div class="container text-white w-50 login-container h-100">
        <div class="container d-flex justify-content-center align-items-center h-100">
          <div class="row justify-content-center h-100">
            <div class="col-sm-12 col-md-8 col-lg-5 col-xl-4 col-xxl-4 my-auto text-center logo-container">
              <img src="assets/images/login-logo.png" class="login-logo">
            </div>
            <div class="col-sm-12 col-md-8 col-lg-7 col-xl-6 col-xxl-7 my-auto form-login-container">
              <div class="cus-login-title text-center p-2 mb-3 pb-1">
                <h2 class="mb-0"><b>{{'RESEARCH_PORTAL' | translate}}</b></h2>
              </div>

              <form [formGroup]="loginFormGroup" (submit)="onLoginSubmit()" class="validate-form">
                <div class="row">
                  <div class="col-md-12 col-sm-12 col-12">
                    <div class="form-group ">
                      <label><b>{{'EMAIL' | translate}}</b></label>
                      <input formControlName="userName" class="form-control" type="text">
                      <div *ngIf="loginFormGroup.get('userName').touched && loginFormGroup.get('userName').errors"
                        class="k-tooltip-validation">
                        <div class="text-danger small" *ngIf="loginFormGroup.get('userName').errors?.required">
                          {{'EMAIL_IS_REQUIRED' | translate}}
                        </div>
                        <div class="text-danger small" *ngIf="loginFormGroup.get('userName').errors?.email">
                          {{'PLEASE_ENTER_VALID_EMAIL' | translate}}
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="col-md-12 col-sm-12 col-12">
                    <div class="form-group">
                      <label><b>{{'PASSWORD' | translate}}</b></label>
                      <div class="input-group" style="border-style: none !important;">
                        <input #password formControlName="password" class="form-control" type="password" style="width: 80%;">
                        <span class="btn input-group-text box-icon-eye" (click)="showHidePass()">
                          <i *ngIf="!isPassShowed" class="material-icons" style="font-size: 17px;">visibility</i>
                          <i *ngIf="isPassShowed" class="material-icons" style="font-size: 17px;">visibility_off</i>
                        </span>
                      </div>
                      <!-- <input type="password" formControlName="password" class="form-control"> -->
                      <div *ngIf="loginFormGroup.get('password').touched && loginFormGroup.get('password').errors?.required"
                        class="k-tooltip-validation">
                        <div class="text-danger small" *ngIf="loginFormGroup.get('password').errors?.required">
                          {{'PASSWORD_IS_REQUIRED' | translate}}
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="col-md-12 col-sm-12 col-12 mt-3" style="padding-left: 8%; padding-right: 8%;">
                    <button type="submit" class="btn-main-large" [disabled]="!loginFormGroup.valid">
                      {{'LOGIN' | translate}}
                    </button>

                  </div>
                  <div class="col-md-12 col-sm-12 col-12 p-0">
                    <div class="row small m-1 mt-3">
                      <div class="col-sm-12 col-md-12 col-lg-6 d-flex justify-content-center align-items-center">
                        <div class="mr-1"><input formControlName="rememberMe" class="form-control" type="checkbox" value=""></div>
                        <span>Remember me</span>
                      </div>
                      <div class="col-sm-12 col-md-12 col-lg-6 text-center">
                        <a class="btn mat-small text-white" (click)="onForgetPassClick()"><u>{{'FORGOT_PASS' | translate}}</u></a>
                      </div>
                    </div>
                  </div>
                </div>
              </form>
            </div>
          </div>
        </div>

      </div>
      <p class="text-white small version-mark">version {{version}}</p>

      <!-- <div class="login100-form d-flex justify-content-center align-items-center p-0">
        <div class="card p-5" style="width: 80%; height: 90%; border-radius: 20px;">
          <form [formGroup]="loginFormGroup" (submit)="onLoginSubmit()" class="validate-form">
            <div class="text-center login-logo">

            </div>
            <span class="login100-form-title p-b-43">
              {{'RESEARCH_PORTAL' | translate}}
            </span>
            <div class="row">
              <div class="col-md-12 col-sm-12 col-12">
                <div class="form-group ">
                  <label>{{'EMAIL' | translate}}</label>
                  <input formControlName="userName" class="form-control" type="text">
                  <div *ngIf="loginFormGroup.get('userName').touched && loginFormGroup.get('userName').errors"
                    class="k-tooltip-validation">
                    <div class="text-danger" *ngIf="loginFormGroup.get('userName').errors?.required">
                      {{'EMAIL_IS_REQUIRED' | translate}}
                    </div>
                    <div class="text-danger" *ngIf="loginFormGroup.get('userName').errors?.email">
                      {{'PLEASE_ENTER_VALID_EMAIL' | translate}}
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-md-12 col-sm-12 col-12">
                <div class="form-group ">
                  <label>{{'PASSWORD' | translate}}</label>
                  <input type="password" formControlName="password" class="form-control">
                  <div *ngIf="loginFormGroup.get('password').touched && loginFormGroup.get('password').errors?.required"
                    class="k-tooltip-validation">
                    <div class="text-danger" *ngIf="loginFormGroup.get('password').errors?.required">
                      {{'PASSWORD_IS_REQUIRED' | translate}}
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-md-12 col-sm-6 col-12">
                <button type="submit" class="btn-main-large" [disabled]="!loginFormGroup.valid">
                  {{'LOGIN' | translate}}
                </button>
                <div class="text-center small m-1">
                  <a class="btn mat-small" (click)="onForgetPassClick()">{{'FORGET_PASS' | translate}}</a>
                </div>
              </div>
            </div>
          </form>
        </div>

      </div> -->
      <!-- <div class="login100-more d-flex justify-content-center align-items-center">
        <div class="" style="background-image: url('/assets/images/login-image.png');"></div>
        <div class="d-felx" style="width: 80%; height: 90%;">
          <div class="cust-img-login" style="background-image: url('/assets/images/login-image.png');"></div>
          <img src="/assets/images/login-image.png" alt="">
        </div>
      </div> -->
    </div>
  </div>
</div>
